rdiff(1)

NAME
rdiff - compute and apply signature-based file differences

SYNOPSYS
rdiff [options] signature old-file signature-file

rdiff [options] delta signature-file new-file delta-file

rdiff [options] patch basis-file delta-file new-file

DESCRIPTION
In every case where a filename must be specified, - may be used instead to mean either standard input or standard output as appropriate.

RETURN VALUE
0 for successful completion, 1 for environmental problems (file not found, invalid options, IO error, etc), 2 for a corrupt file and 3 for an internal error or unhandled situation in librsync or rdiff.

SEE ALSO
librsync(3)

AUTHOR
Martin Pool <mbp@samba.org>

The original rsync algorithm was discovered by Andrew Tridgell.

rdiff development has been supported by Linuxcare, Inc and VA Linux Systems.